
namespace SafeCampus.System;
[SugarTable("PassengerFlow", TableDescription = "客流统计")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
[IgnoreInitTable]
public class PassengerFlow : PrimaryKeyEntity
{
    /// <summary>
    /// 查询时间
    /// </summary>
    [SugarColumn(ColumnName = "QueryTime", ColumnDescription = "查询时间", IsNullable = false)]
    public DateTime QueryTime { get; set; }
    /// <summary>
    /// 开始时间
    /// </summary>
    [SugarColumn(ColumnName = "StartTime", ColumnDescription = "开始时间",  IsNullable = false)]
    public DateTime StartTime { get; set; }
    /// <summary>
    /// 结束时间
    /// </summary>
    [SugarColumn(ColumnName = "EndTime", ColumnDescription = "结束时间", IsNullable = false)]
    public DateTime EndTime { get; set; }
    /// <summary>
    /// 摄像头id列表
    /// </summary>
    [SugarColumn(ColumnName = "CameraIds", ColumnDescription = "摄像头id列表", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string  CameraIds{ get; set; }
    /// <summary>
    /// 摄像头名称列表
    /// </summary>
    [SugarColumn(ColumnName = "CameraNames", ColumnDescription = "摄像头名称列表", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string CameraNames { get; set; }
    /// <summary>
    /// 分片类型true小时 false天
    /// </summary>
    [SugarColumn(ColumnName = "Split", ColumnDescription = "分片类型", IsNullable = false)]
    public bool Split { get; set; }
    /// <summary>
    /// 总数
    /// </summary>
    [SugarColumn(ColumnName = "Total", ColumnDescription = "总数", IsNullable = false)]
    public int Total { get; set; }
}